@import url(./variables.css);
@import url(./reset.css);

.event-banner {
  background: url("../assets/images/museum-hall1.jpg");
  padding: 60px 20px;
  text-align: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-position-x: center;
  background-position-y: top;
  min-height: 560px;
}

h1 {
  font-size: var(--font-size-title);
  font-weight: 200;
  text-align: center;
  text-shadow: 1px 3px 7px gray;
  letter-spacing: 1px;
  color: var(--color-primary);
}

section h2 {
  font-size: var(--font-size-sub);
  font-weight: 100;
  letter-spacing: 1px;
  color: var(--color-secondary);
  text-align: center;
  margin: 30px 0;
}

h3 {
  margin: 20px 0;
  color: var(--color-secondary);
}

section p {
  margin: 30px 0;
}

.event-main li {
  margin-left: 50px;
}

h4 {
  margin-top: 20px;
}

.event-main {
  margin: 60px 300px;
  font-size: 1.2rem;
  line-height: 50px;
  color: var(--color-secondary);
}

.top-line,
.bottom-line {
  width: 100%;
  margin: 50px auto;
  height: 0.5px;
  background-color: var(--color-secondary);
}

/* Media Queries */

@media only screen and (max-width: 1090px) {
  .event-banner {
    padding: 40px 15px;
    min-height: 400px;
  }

  h1 {
    font-size: 2rem;
    margin: 10px 0;
  }

  .event-main {
    margin: 30px 150px;
    font-size: 1.2rem;
    line-height: 2;
  }
}

@media (max-width: 768px) {
  .event-banner {
    padding: 40px 15px;
    min-height: 400px;
  }

  h1 {
    font-size: 2rem;
  }

  .event-main {
    margin: 30px 80px;
    font-size: 1.2rem;
    line-height: 2;
  }
}

@media (max-width: 376px) {
  .event-banner {
    padding: 40px 15px;
    min-height: 400px;
    margin-bottom: 20px;
  }

  h1 {
    font-size: 1.8rem;
    margin: 10px 0;
  }

  .event-main {
    margin: 10px 40px;
    font-size: 1rem;
    line-height: 2;
  }

  .top-line,
  .bottom-line {
    width: 100%;
    margin: 30px auto;
  }
}
